Skip to main content
GET
/
v1
/
templates
List templates
curl --request GET \
  --url https://api.emailr.dev/v1/templates \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "subject": "<string>",
    "html_content": "<string>",
    "text_content": "<string>",
    "variables": [
      "<string>"
    ],
    "from_email": "<string>",
    "reply_to": "<string>",
    "preview_text": "<string>",
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Use your API key as the bearer token.

Response

List of templates

id
string<uuid>
required
Example:

"123e4567-e89b-12d3-a456-426614174000"

organization_id
string<uuid>
required
name
string
required
subject
string
required
html_content
string | null
required
text_content
string | null
required
variables
string[] | null
required
from_email
string | null
required
reply_to
string | null
required
preview_text
string | null
required
created_by
string<uuid> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required